<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>discover: /home/pere/src/debiancvs/pkg-discover/discover/trunk/sysdeps/stub/stubs.c File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.4.2 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="dirs.html">Directories</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="globals.html">Globals</a></div>
<div class="nav">
<a class="el" href="dir_000003.html">sysdeps</a>&nbsp;/&nbsp;<a class="el" href="dir_000004.html">stub</a></div>
<h1>stubs.c File Reference</h1>Stub system-dependent code. <a href="#_details">More...</a>
<p>
<code>#include &lt;config.h&gt;</code><br>
<code>#include &lt;<a class="el" href="sysdep_8h-source.html">sysdep.h</a>&gt;</code><br>
<code>#include &lt;stdio.h&gt;</code><br>

<p>
<a href="stubs_8c-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structdiscover__sysdep__data.html">discover_sysdep_data_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__sysdeps.html#ga0">_discover_get_ata_raw</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structdiscover__sysdep__data.html">discover_sysdep_data_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__sysdeps.html#ga1">_discover_get_pci_raw</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structdiscover__sysdep__data.html">discover_sysdep_data_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__sysdeps.html#ga2">_discover_get_pcmcia_raw</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structdiscover__sysdep__data.html">discover_sysdep_data_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__sysdeps.html#ga3">_discover_get_scsi_raw</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structdiscover__sysdep__data.html">discover_sysdep_data_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__sysdeps.html#ga4">_discover_get_usb_raw</a> (void)</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Stub system-dependent code. 
<p>
This file represents a dummy OS-dependent hardware interface. These routines are the skeleton structure that must be followed to allow Discover to operate on multiple architectures. 
<p>
Definition in file <a class="el" href="stubs_8c-source.html">stubs.c</a>.<hr size="1"><address style="align: right;"><small>Generated on Thu Jul 28 03:38:01 2005 for discover by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.2 </small></address>
</body>
</html>
